Get User
curl --request GET \
--url https://api.voxo.co/v2/admin/users/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voxo.co/v2/admin/users/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voxo.co/v2/admin/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"email": "<string>",
"title": "<string>",
"tenantId": 123,
"timezone": "<string>",
"userRoleId": 123,
"partnerId": 123,
"avatarPath": "<string>",
"avatarThumbnailPath": "<string>",
"extension": {
"id": 123,
"name": "<string>",
"number": "<string>"
},
"userRole": {
"id": 123,
"name": "<string>"
},
"partner": {
"id": 123,
"name": "<string>"
},
"pharmacyLocations": [
{
"id": 123,
"type": "<string>",
"name": "<string>"
}
],
"adminTenants": [
{
"id": 123,
"name": "<string>"
}
]
}Users
Get User
Get a single user by ID, including extension, role, partner, admin tenants, and pharmacy locations
GET
/
v2
/
admin
/
users
/
{id}
Get User
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
User ID
Pattern:
^[1-9]\d*$Response
200 - application/json
User details
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?